compiler: rudderc
fallbacked: false
resultCode: 2
msg: 'Exit code=2 for technique: ''/var/rudder/configuration-repository/techniques/ncf_techniques/nouveau/1.0''.'
stdout: "\e[34mDEBUG\e[0m \e[2mrudderc\e[0m\e[2m:\e[0m Running rudderc v0.0.0-dev\n\
  \e[34mDEBUG\e[0m \e[2mrudderc\e[0m\e[2m:\e[0m No library path provided but the default\
  \ '/var/rudder/ncf/' exists, using it.\n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e\
  [0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/rudder_inventory_trigger.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/user_home.cf    \n\e[34mDEBUG\e[0m \e\
  [2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/condition_from_string_match.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_copy_from_remote_source_recursion.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/package_check_installed.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_ensure_keys_values.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_key_value_parameter_present_in_list.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/schedule_simple.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/variable_string_from_augeas.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/user_password_hash.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/permissions.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_lines_absent.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/schedule_simple_stateless.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/http_request_content_headers.cf    \n\
  \e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_copy_from_local_source.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/user_shell.cf    \n\e[34mDEBUG\e[0m\
  \ \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_copy_from_local_source_with_check.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_check_FIFO_pipe.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/permissions_user_acl_absent.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/variable_iterator_from_file.cf    \n\
  \e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_from_template_type.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/directory_check_exists.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_from_local_source_recursion.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/variable_string.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/variable_string_match.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_from_template_mustache.cf    \n\
  \e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/user_uid.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/service_reload.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_ensure_key_value_option.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/service_action.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_from_remote_template.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/variable_dict_from_osquery.cf    \n\e\
  [34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/directory_present.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_report_content_head.cf    \n\e\
  [34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_symlink_present_option.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_ensure_key_value_present_in_ini_section.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/sharedfile_from_node.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_ensure_key_value.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/kernel_module_configuration.cf    \n\
  \e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/permissions_posix_acls_absent.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/user_locked.cf    \n\e[34mDEBUG\e[0m\
  \ \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_from_remote_source_recursion.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_ensure_block_in_section.cf    \n\
  \e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/permissions_dirs.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/variable_string_from_math_expression.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_check_block_device.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_key_value_present_in_ini_section.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/permissions_other_acl_present.cf   \
  \ \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/command_execution_once.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_check_exists.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_content.cf    \n\e[34mDEBUG\e[0m\
  \ \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_augeas_commands.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/directory_create.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/permissions_acl_entry.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_ensure_line_present_in_ini_section.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_check_symlinkto.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/command_execution.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/package_install_version.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/user_fullname.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/user_create.cf    \n\e[34mDEBUG\e[0m\
  \ \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/service_restart.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_ensure_lines_absent.cf    \n\e\
  [34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_create_symlink_force.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/condition_from_variable_match.cf   \
  \ \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/kernel_module_loaded.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_key_value_parameter_absent_in_list.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/condition_from_expression_persistent.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/permissions_user_acl_present.cf    \n\
  \e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/schedule_simple_nodups.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_enforce_content.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_line_present_in_ini_section.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/sysctl_value.cf    \n\e[34mDEBUG\e[0m\
  \ \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/schedule_simple_catchup.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_block_present.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_check_character_device.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_line_present_in_xml_tag.cf    \n\
  \e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/audit_from_osquery.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_key_value_present.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/user_secondary_group.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/service_check_started_at_boot.cf   \
  \ \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_copy_from_local_source_recursion.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/service_ensure_running.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_from_shared_folder.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_template_expand.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/user_primary_group.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/package_install.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/group_absent.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/service_start.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/variable_string_from_file.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_create.cf    \n\e[34mDEBUG\e[0m\
  \ \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_from_template.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/environment_variable.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/permissions_dirs_recurse.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/variable_iterator.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/service_check_disabled_at_boot.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/permissions_recursive.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/condition_once.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/condition_from_expression.cf    \n\e\
  [34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_from_http_server.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_check_hardlink.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/variable_dict.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/user_present.cf    \n\e[34mDEBUG\e[0m\
  \ \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_keys_values_present.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/service_ensure_disabled_at_boot.cf \
  \   \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/sharedfile_to_node.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/command_execution_result.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/variable_string_escaped.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/kernel_module_enabled_at_boot.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/variable_dict_from_file_type.cf    \n\
  \e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_report_content_tail.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/package_verify_version.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/service_ensure_stopped.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/service_started_path.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_copy_from_remote_source.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_augeas_set.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_ensure_line_present_in_xml_tag.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/user_group.cf    \n\e[34mDEBUG\e[0m\
  \ \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/permissions_posix_acl_entry_parent.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/permissions_group_acl_absent.cf    \n\
  \e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/permissions_type_recursion.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/package_verify.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/service_ensure_running_path.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/group_present.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/service_ensure_started_at_boot.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/monitoring_parameter.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/variable_dict_from_file.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_absent.cf    \n\e[34mDEBUG\e[0m\
  \ \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/package_remove.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/permissions_dirs_recursive.cf    \n\e\
  [34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/kernel_module_not_loaded.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/service_check_running_ps.cf    \n\e\
  [34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/report_if_condition.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_report_content.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/service_restart_if.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/permissions_recurse.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/variable_dict_merge.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/service_stop.cf    \n\e[34mDEBUG\e[0m\
  \ \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/directory_absent.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_create_symlink_enforce.cf    \n\
  \e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_symlink_present_force.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_check_symlink.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_ensure_key_value_parameter_in_list.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/condition_from_command.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_symlink_present.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_lines_present.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_key_value_present_option.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_replace_lines.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/condition_from_variable_existence.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_present.cf    \n\e[34mDEBUG\e[0m\
  \ \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_from_local_source.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/service_enabled.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/user_absent.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/http_request_check_status_headers.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/variable_string_default.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/audit_from_command.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_ensure_key_value_parameter_not_in_list.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/permissions_group_acl_present.cf   \
  \ \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_from_string_mustache.cf    \n\e\
  [34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_check_regular.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/variable_dict_merge_tolerant.cf    \n\
  \e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/service_check_running.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/package_install_version_cmp.cf    \n\
  \e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/package_state.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_check_socket.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/package_install_version_cmp_update.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_from_template_jinja2.cf    \n\e\
  [34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/service_stopped.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/package_absent.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_from_local_source_with_check.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_ensure_lines_present.cf    \n\e\
  [34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_from_remote_source.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/package_state_options.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/package_present.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_remove.cf    \n\e[34mDEBUG\e[0m\
  \ \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/service_started.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_download.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_ensure_block_present.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/variable_string_from_command.cf    \n\
  \e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/monitoring_template.cf\
  \    \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/file_block_present_in_section.cf   \
  \ \n\e[34mDEBUG\e[0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing\
  \ /var/rudder/ncf/common/30_generic_methods/service_disabled.cf    \n\e[34mDEBUG\e\
  [0m \e[2mrudder_commons::methods::reader\e[0m\e[2m:\e[0m Parsing /var/rudder/ncf/common/30_generic_methods/file_create_symlink.cf\
  \    \n        Read 182 methods\n\e[31mERROR\e[0m \e[2mrudderc::compiler\e[0m\e\
  [2m:\e[0m Technique parameter name '<script>alert(\"true\");</script>' must be canonified\n\
  \e[31mERROR\e[0m \e[2mrudderc::compiler\e[0m\e[2m:\e[0m jsonschema validation failed\
  \ with https://docs.rudder.io/schemas/technique.schema.json#\n- at '/params/0/name'\
  \ [S#/$defs/techniqueParameterName/pattern]: '<script>alert(\"true\");</script>'\
  \ does not match pattern '^[a-zA-Z0-9_]+$'\n\e[31mERROR\e[0m \e[2mrudderc\e[0m\e\
  [2m:\e[0m 2 error(s) were encountered when reading technique\n"
stderr: ''
